Bug 211444 - math/ocamlgsl: Update to 1.19.1
Summary: math/ocamlgsl: Update to 1.19.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 210168
  Show dependency treegraph
 
Reported: 2016-07-29 19:40 UTC by Rainer Hurling
Modified: 2016-10-21 14:36 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback-


Attachments
patch to update math/ocamlgsl (37.33 KB, patch)
2016-07-29 19:40 UTC, Rainer Hurling
no flags Details | Diff
revised patch to update math/ocamlgsl (41.13 KB, patch)
2016-07-30 08:35 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2016-07-29 19:40:31 UTC
Created attachment 173102 [details]
patch to update math/ocamlgsl

The patch updates math/ocamlgsl from 1.15.1 to 1.19.1.

Without this update, math/ocamlgsl would not build, once math/gsl will be updated to version 2.1 (math/gsl update pending, see bug #210168).

- Sources change from http://bitbucket.org/mmottl/gsl-ocaml/downloads/ 
  to github. The github solution here seems not optimal, but it works
  so far.
- updated patch files/setup.ml
- updated pkg-plist


Tested with Poudriere (HEAD a/i, 10.3 a 9.3 a/i).

'portlint -AC' complains about DOCSDIR in pkg-plist. This is like in version 1.15.1, also contructed by 'make makeplist' ...
Comment 1 Michael Grünewald 2016-07-29 20:09:05 UTC
Hi Rainer,

thank you for your patch! I (maintainer) am currently on holiday break
and will not be able to test it. But reviewing it raised the following
point, which relates to the warning you mention:

> 'portlint -AC' complains about DOCSDIR in pkg-plist. This is like in version 1.15.1, also contructed by 'make makeplist' ...

Look at the documentation files in pkg-plist. In the old version, they are
prefixed with %%PORTDOCS%% but not in your new version.  Fixing this should
remove the warning generated by portlint.

Side question: what are your concerns about using GitHub as a source?
It is “just as bad” as bitbucket. :)


@committer :  Reviewing the patch raised a minor issue in the change,
 being on holiday break I cannot test for 2 weeks… If you cannot test,
 maybe Rainer could add poudriere logs to the ticket and you could skim
 on it?  But if waiting is also an option, I'll take care of the details
 when I'm back.

Best,
Michael
Comment 2 Rainer Hurling 2016-07-30 08:35:49 UTC
Created attachment 173113 [details]
revised patch to update math/ocamlgsl

Hi Michael,
thank you for breaking the break and having a look into the PR ;)

%%PORTDOCS%% indeed is necessary, to respect enabled/disabled option DOCS.

%%DOCSDIR%% is the one, portlint complains about, and which should be used to have a changeable path to the docs. With the dilemma of divergent PORTNAME and DISTNAME, I tried a somewhat ugly hack and redefined DOCSDIR within Makefile. At least this builds and installs fine, with and without option DOCS enabled.

I had to use GitHub, because the old repository has been deleted. Probably someone will find a more elegant way to define the GitHub source.

The newer patch handles DOCSDIR and PORTSDIR in Makefile and pkg-plist in a better way, so that 'portlint -AC' does not complain any more.
Comment 3 Kurt Jaeger freebsd_committer 2016-10-21 14:35:01 UTC
testbuilds are fine
Comment 4 commit-hook freebsd_committer 2016-10-21 14:35:54 UTC
A commit references this bug:

Author: pi
Date: Fri Oct 21 14:35:12 UTC 2016
New revision: 424419
URL: https://svnweb.freebsd.org/changeset/ports/424419

Log:
  math/ocamlgsl: update 1.15.1 -> 1.19.1

  - master site changed from bitbucket to github

  PR:		211444
  Changes:	https://github.com/mmottl/gsl-ocaml/blob/master/CHANGES.txt
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de>
  Approved by:	Michael Gruenewald <michipili@gmail.com> (maintainer timeout)

Changes:
  head/math/ocamlgsl/Makefile
  head/math/ocamlgsl/distinfo
  head/math/ocamlgsl/files/patch-setup.ml
  head/math/ocamlgsl/pkg-plist
Comment 5 Kurt Jaeger freebsd_committer 2016-10-21 14:36:51 UTC
Committed, thanks